<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Add schedule</title>
    <link rel="stylesheet" href="/add-schedule.css">
</head>

<body>

<div class="container">
    <fieldset>
        <legend class="center-block">Add Schedule</legend>
        <form method="post" th:action="@{/schedules/add}" th:object="${schedule}" >
            <div class="row">
                <div class="col-25">
                    <label>Restaurant</label>
                </div>
                <div class="col-75">
                    <input type="hidden" th:field="*{restaurant.idRestaurant}"/>
                    <input type="text" disabled th:value="*{restaurant.restaurantName}"/>
                </div>
            </div><!--row-->

            <div class="row">
                <div class="col-25">
                    <label for="day">Day</label>
                </div>
                <div class="col-75">
                    <input type="number" id="day" name="day"  th:field = "*{day}" th:value="${day}">
                    <span th:if="${#fields.hasErrors('day')}" th:errors="*{day}" class="text-danger"></span>
                </div>
            </div><!--row-->

            <div class="row">
                <div class="col-25">
                    <label for="oTime">Open time</label>
                </div>
                <div class="col-75">
                    <input type="time" th:field="*{openTime}" id="oTime" name="oTime" >
                    <span th:if="${#fields.hasErrors('openTime')}" th:errors="*{openTime}" class="text-danger"></span>
                </div>
            </div><!--row-->

            <div class="row">
                <div class="col-25">
                    <label for="cTime">Close time</label>
                </div>
                <div class="col-75">
                    <input type="time" th:field="*{closeTime}" id="cTime" name="cTime" >
                    <span th:if="${#fields.hasErrors('closeTime')}" th:errors="*{closeTime}" class="text-danger"></span>
                </div>
            </div>
            <div >
                <input type="submit" value="Save">

            </div>
        </form>
    </fieldset>
    <p><a th:href="@{/displayAdminHome}"><img src="images/blue-home-icon32.png" th:src="@{images/blue-home-icon32.png}" alt="Home"></a></p>
</div>


</body>
</html>

<!--
<form action="#" th:action="@{/schedules/add}" th:object="${schedule}"
      method="post">
    <fieldset>
        <input type="hidden" th:field="*{idRestaurant}"/>
        <input type="text" disabled th:value="*{nameRestaurant}"/>

        <input type="submit" id="submitButton" th:value="Save">
        <input type="reset" id="resetButton" name="reset" th:value="Reset"/>
        <table>
            <thead>
            <tr>
                <th> Day</th>
                <th> Open</th>
                <th>Close</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="schedule, itemStat : *{schedules}">
                //th:field="*{education[0].name}"
                <td><input  type="number" th:field="*{schedule[0].day}" /></td>
                <td><input type="time" th:field="*{schedule[0].startTime}" /></td>
                <td><input type="time" th:field="*{schedule[0].endTime}" /></td>
            </tr>
            </tbody>
        </table>
    </fieldset>
</form>
-->
